package jalview.ext.forester.io;

import jalview.datamodel.SequenceI;
import jalview.ext.treeviewer.TreeI;
import jalview.ext.treeviewer.TreeParserI;
import jalview.io.AlignFile;
import jalview.io.FileParse;

import java.io.File;
import java.io.IOException;
import java.util.List;

public class NexusFile extends AlignFile
{

  public NexusFile(FileParse source) throws IOException
  {
    super(source);
  }

  @Override
  public String print(SequenceI[] seqs, boolean jvsuffix)
  {
    // TODO Auto-generated method stub
    return null;
  }

  @Override
  public void parse() throws IOException
  {
    TreeParserI parser = ForesterParser
            .createNexusParser(new File(getDataName()));
    TreeI[] trees = parser.parse();
    List<SequenceI> treeSeqs = trees[0].getNodeSequences();
    for (SequenceI seq : treeSeqs)
    {
        seqs.add(seq);
      }
    }

  }


